<?php

// This file is part of the Carrington Mobile Theme for WordPress
// http://carringtontheme.com
//
// Copyright (c) 2008-2009 Crowd Favorite, Ltd. All rights reserved.
// http://crowdfavorite.com
//
// Released under the GPL license
// http://www.opensource.org/licenses/gpl-license.php
//
// **********************************************************************
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// **********************************************************************

if (__FILE__ == $_SERVER['SCRIPT_FILENAME']) { die(); }
load_theme_textdomain('carrington-mobile');
define('CFCT_DEBUG', false);
define('CFCT_PATH', trailingslashit(TEMPLATEPATH));
define('CFCT_HOME_LIST_LENGTH', 5);
define('CFCT_HOME_LATEST_LENGTH', 250);
$cfct_options = array(
'cfct_about_text'
, 'cfct_credit'
, 'cfct_posts_per_archive_page'
, 'cfct_wp_footer'
);
//Enqueue the Dashicons script
add_action( 'wp_enqueue_scripts', 'amethyst_enqueue_dashicons' );

function amethyst_enqueue_dashicons() {
	wp_enqueue_style( 'amethyst-dashicons-style', get_stylesheet_directory_uri(), array('dashicons'), '1.0' );
}
// Optional Custom entry meta in entry header - remove "by""
add_filter( 'genesis_post_info', 'amethyst_filter_post_info' );
function amethyst_filter_post_info($post_info) {
    $post_info = '[post_date] [post_author_posts_link] [post_comments] [post_edit]';
    return $post_info;
}
// Optional Custom post meta in entry footer - remove text
add_filter( 'genesis_post_meta', 'amethyst_filter_post_meta' );
function amethyst_filter_post_meta($post_meta) {
    $post_meta = '[post_categories before=""] [post_tags before=""]';
    return $post_meta;
}
function wpbeginner_numeric_posts_nav() {
     if( is_singular() )
        return;
     global $wp_query;
     /** Stop execution if there's only 1 page */
    if( $wp_query->max_num_pages <= 1 )
        return;
     $paged = get_query_var( 'paged' ) ? absint( get_query_var( 'paged' ) ) : 1;
    $max   = intval( $wp_query->max_num_pages );
 
    /** Add current page to the array */
    if ( $paged >= 1 )
        $links[] = $paged;
     /** Add the pages around the current page to the array */
    if ( $paged >= 3 ) {
        $links[] = $paged - 1;
        $links[] = $paged - 2;
    }
     if ( ( $paged + 2 ) <= $max ) {
        $links[] = $paged + 2;
        $links[] = $paged + 1;
    }
     echo '<div class="navigation"><ul>' . "\n";
     /** Previous Post Link */
    if ( get_previous_posts_link() )
        printf( '<a href="' . previous_posts( 0, false ) . "\" $attr>" . preg_replace('/&([^#])(?![a-z]{1,8};)/i', '&#038;$1', "<img src='https://i.ibb.co/KzjwZkM/prev-btn.png' width='16' height='16' />&nbsp;&nbsp;&nbsp;&emsp;") . '</a>' . "\n", get_previous_posts_link() );
    /** Link to first page, plus ellipses if necessary */
    if ( ! in_array( 1, $links ) ) {
        $class = 1 == $paged ? ' class="active"' : '';
 
        printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( 1 ) ), '1' );
 
        if ( ! in_array( 2, $links ) )
            echo '<li>…</li>';
    }
   /** Link to current page, plus 2 pages in either direction if necessary */
    sort( $links );
    foreach ( (array) $links as $link ) {
        $class = $paged == $link ? ' class="active"' : '';
        printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( $link ) ), $link );
    }
 
    /** Link to last page, plus ellipses if necessary */
    if ( ! in_array( $max, $links ) ) {
        if ( ! in_array( $max - 1, $links ) )
            echo '<li>…</li>' . "\n";
 
        $class = $paged == $max ? ' class="active"' : '';
        printf( '<li%s><a href="%s">%s</a></li>' . "\n", $class, esc_url( get_pagenum_link( $max ) ), $max );
    }
 
    /** Next Post Link */
    if ( get_next_posts_link() )
        printf( '<a href="' . next_posts( 0, false ) . "\" $attr>" . preg_replace('/&([^#])(?![a-z]{1,8};)/i', '&#038;$1', "&nbsp;&nbsp;&nbsp;&emsp;<img src='https://i.ibb.co/1qWBbcJ/next-btn.png' width='16' height='16' />") . '</a>' . "\n", get_next_posts_link() );
 
    echo '</ul></div>' . "\n";
 }
function count_cat_post($category) {
if(is_string($category)) {
    $catID = get_cat_ID($category);
}
elseif(is_numeric($category)) {
    $catID = $category;
} else {
    return 0;
}
$cat = get_category($catID);
return $cat->count;
}
function getPostViews($postID){
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
        return "0 View";
    }
    return $count.' Views';
}
function setPostViews($postID) {
    $count_key = 'post_views_count';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        $count = 0;
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
    }else{
        $count++;
        update_post_meta($postID, $count_key, $count);
    }
}
// Changing excerpt length
function new_excerpt_length($length) {
return 20;
}
add_filter('excerpt_length', 'new_excerpt_length');
 // Changing excerpt more
function new_excerpt_more($more) {
return '...';
}
add_filter('excerpt_more', 'new_excerpt_more');
// Remove issues with prefetching adding extra views
remove_action( 'wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);
//get excerpt by id
function get_excerpt_by_id($post_id){
    $the_post = get_post($post_id); //Gets post ID
    $the_excerpt = ($the_post ? $the_post->post_content : null); //Gets post_content to be used as a basis for the excerpt
    $excerpt_length = 20; //Sets excerpt length by word count
    $the_excerpt = strip_tags(strip_shortcodes($the_excerpt)); //Strips tags and images
    $words = explode(' ', $the_excerpt, $excerpt_length + 1);
if(count($words) > $excerpt_length) :
        array_pop($words);
        array_push($words, '…');
        $the_excerpt = implode(' ', $words);
    endif;
return $the_excerpt;
}
function time_ago( $type = 'post' ) {
    $d = 'comment' == $type ? 'get_comment_time' : 'get_post_time';

    return human_time_diff($d('U'), current_time('timestamp')) . " " . __('ago');

}
function cfct_blog_init() {
if (cfct_get_option('cfct_ajax_load') == 'yes') {
cfct_ajax_load();
}
}
add_action('init', 'cfct_blog_init');
function cfct_archive_title() {
if(is_author()) {
$output = __('Posts by:');
} elseif(is_category()) {
$output = __('Category Archives:');
} elseif(is_tag()) {
$output = __('Tag Archives:');
} elseif(is_archive()) {
$output = __('Archives:');
}
$output .= ' ';
echo $output;
}
function cfct_mobile_post_gallery_columns($columns) {
return 1;
}
add_filter('cfct_post_gallery_columns', 'cfct_mobile_post_gallery_columns');
if (!is_admin()) {
wp_enqueue_script('jquery');
wp_enqueue_script('carrington-mobile', get_bloginfo('template_directory').'/js/mobile.js', array('jquery'), '1.0');
}
include_once(CFCT_PATH.'carrington-core/carrington.php');
function catch_that_image() {
global $post, $posts;
$first_img = '';
ob_start();
ob_end_clean();
$output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
$first_img = $matches [1] [0];

if(empty($first_img)){
$first_img = "https://i.imgur.com/3UuaLW6.jpg";
}
return $first_img;
}
?>
<?php
add_filter( 'ot_theme_mode', '__return_true' );
require( trailingslashit( get_template_directory() ) . '/carrington-core/lightbox/scheme.php' );
include( get_stylesheet_directory() . '/includes/customizer.php' );
?>
<?php
function current_paged( $var = '' ) {
    if( empty( $var ) ) {
        global $wp_query;
        if( !isset( $wp_query->max_num_pages ) )
            return;
        $pages = $wp_query->max_num_pages;
    }
    else {
        global $$var;
            if( !is_a( $$var, 'WP_Query' ) )
                return;
        if( !isset( $$var->max_num_pages ) || !isset( $$var ) )
            return;
        $pages = absint( $$var->max_num_pages );
    }
    if( $pages < 1 )
        return;
    $page = get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1;
    echo '<div class="pag-current"><span>New Post</span> - Page ' . $page . '</div>  '  ;
}
?>
<?php
function string_limit_words($string, $word_limit)
{
  $words = explode(' ', $string, ($word_limit + 1));
  if(count($words) > $word_limit)
  array_pop($words);
  return implode(' ', $words);
}
?>
<?php
function wpse52737_enqueue_comment_reply_script() {
    if ( get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment_reply' );
    }
}
add_action( 'comment_form_before', 'wpse52737_enqueue_comment_reply_script' );
?>
<?php
 function admin_bar(){
  if(is_user_logged_in()){
    add_filter( 'show_admin_bar', '__return_true' , 1000 );
  }
}
add_action('init', 'admin_bar' );
 ?>
<?php
function wpb_tags() { 
$wpbtags =  get_tags();
foreach ($wpbtags as $tag) { 
$string .= '<span class="tagbox"><a class="taglink" href="'. get_tag_link($tag->term_id) .'">'. $tag->name . '</a><span class="tagcount">'. $tag->count .'</span></span>' . "\n"   ;
} 
return $string;
} 
add_shortcode('wpbtags' , 'wpb_tags' );
?>
<?php
add_filter('show_admin_bar', '__return_false');
/* SIDEBARS */
if ( function_exists('register_sidebar') )
			register_sidebar(array(
	'name' => 'Sidebar',
    'before_widget' => '<div class="nk-widget1 nk-widget-highlighted1 block_category" style="sidebar"><div class="hottest_songs">',
    'after_widget' => '</div></div>',
	'before_title' => '<h4 class="nk-widget-title1"><div id="upload-your-songs">',
    'after_title' => '</div></h4>',
	));	
	add_filter('the_content', 'wpse_ad_content');
function wpse_ad_content($content)
{
    if (!is_single()) return $content;
    $paragraphAfter = 2; //Enter number of paragraphs to display ad after.
    $content = explode("</p>", $content);
    $new_content = '';
    for ($i = 0; $i < count($content); $i++) {
        if ($i == $paragraphAfter) {
            $new_content.= '<div align="center">';
            $new_content.= '<div class="clear"></div><div class="clear"></div>';
            $new_content.= '</div>';
        }
        $new_content.= $content[$i] . "</p>";
    }
    return $new_content;
}
?>
<?php
function neolo_theme_features() {
   $args = array(
        'width'         => 280,
        'height'        => 80,
        'default-image' => get_template_directory_uri() . '/img/mobilelogo.png',
    );

add_theme_support( 'custom-header', $args );
    add_theme_support( 'title-tag' );
    add_theme_support( 'automatic-feed-links' );
    add_editor_style();
}
add_action( 'after_setup_theme', 'neolo_theme_features' );
function neolo_google_fonts() {
	wp_enqueue_style('neolo-theme-fonts', '//fonts.googleapis.com/css?family=Open+Sans:300,400,600,700|Merriweather:300,400,400i,700&display=swap');
}
add_action('wp_enqueue_scripts', 'neolo_google_fonts');
function neolo_remove_website_field($fields) {
	unset($fields['url']);
	return $fields;
}
add_filter('comment_form_default_fields','neolo_remove_website_field');
function neolo_register_main_menu() {
    register_nav_menus(
        array(
            'main-menu' => __('Main Menu', 'neolo')
        )
    );
}
?>
<?php
function gt_init(){
    add_theme_support('post-thumbnails');
    add_theme_support('title-tag');
    add_theme_support('html5',
    array('comment-list', 'comment-form', 'search-form', 'caption')
);
}
add_action('after_setup_theme', 'gt_init');
?>
<?php
add_filter('embed_oembed_html', 'wrap_embed_with_div', 10, 3);

function wrap_embed_with_div($html, $url, $attr) {
        return "<div class=\"responsive-container\">".$html."</div>";
}
?>
<?php
/**
 * Add song custom fields
 */
function add_song_meta_boxes() {
	add_meta_box("song_contact_meta", "Song Details", "add_contact_details_song_meta_box", "post", "advanced", "high");
}
function add_contact_details_song_meta_box()
{
	global $post;
	$custom = get_post_custom( $post->ID );
 
	?>
	<style>.width99 {width:99%;}</style>
	<p>
		<label>Song Play Time:</label><br />
		<input type="text" name="playtime" value="<?= @$custom["playtime"][0] ?>" class="width99" />
	</p>
	
	<?php
}
/**
 * Save custom field data when creating/updating posts
 */
function save_song_custom_fields(){
  global $post;
 
  if ( $post )
  {
    update_post_meta($post->ID, "playtime", @$_POST["playtime"]);
    
  }
}
add_action( 'admin_init', 'add_song_meta_boxes' );
add_action( 'save_post', 'save_song_custom_fields' );
?>